Read a profile
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e01",
"pseudonym": "p_7f3a91c2",
"kind": "person",
"partial": false,
"handles": [
{
"handle_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e02",
"type": "phone_e164",
"value": "+1415555****",
"scope": "",
"subject_kind": "person",
"status": "active",
"level": "V1",
"first_seen": "2021-04-06T13:20:00Z",
"last_seen": "2026-09-22T17:07:03Z"
},
{
"handle_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e03",
"type": "system_id",
"value": "48213",
"scope": "crm",
"subject_kind": "person",
"status": "active",
"level": "V4",
"first_seen": "2021-04-06T13:21:00Z",
"last_seen": "2026-09-22T17:07:03Z"
}
],
"links": [
{
"link_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e08",
"person_handle_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e02",
"org_handle_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e05",
"role": "buyer",
"can_see_contacts": false,
"valid_from": "2026-09-22T17:10:00Z",
"valid_to": null
}
],
"membership_version": 7,
"privacy_version": 2
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Identity and profiles
Read a profile
Handles, subject kind and links of a profile, masked for the role of the reader.
GET
/
v1
/
profiles
/
{profile_id}
Read a profile
Authorizations
sourceKeypersonToken
nia_sk_...
Path Parameters
Response
The profile.
Show child attributes
Show child attributes
A person, a customer organization (account) or an organization that takes part without being a customer (partner).
Available options:
person, account, partner Show child attributes
Show child attributes
Known only by channel-private ids such as a BSUID.

